#
# spec file for package autoyast_xml_validator
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           autoyast_xml_validator
Version:        1.0.9+gite8164d1
Release:        1.11
Summary:        Cross distribution and cross architecture autoyast XML syntax checker
License:        GPL-2.0-or-later
Group:          System/YaST
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  go-md2man
Requires:       jing
Requires:       libxml2-tools
Requires:       yast2-schema-collection
BuildArch:      noarch

%description
Developing autoyast XML files for autoinstallation, this checker comes in
really handy. It can compatibility check XML files and validate against
all recent released SUSE distributions.
Avoid time consuming fiddling and trial on error approaches.
When you already have valid autoyast configuration files and you want to
install more recent distributions, use this tool to verify that your XML
syntax is still backward compatible.
se this validator to make your XML autoyast files more robust and stable
before even starting an auto-installation.

%prep
%setup -q

%build
go-md2man -in README.md |gzip  >autoyast-xml-validate.1.gz

%install
install -m 0755 -D autoyast-xml-validate.py %{buildroot}%{_bindir}/autoyast-xml-validate
install -m 0644 -D autoyast-xml-validate.1.gz %{buildroot}%{_mandir}/man1/autoyast-xml-validate.1.gz

%files
%doc README.md
%license LICENSE
%{_bindir}/autoyast-xml-validate
%{_mandir}/man1/autoyast-xml-validate*

%changelog
* Wed Jul 14 2021 trenn@suse.de
- Update to version 1.0.9+gite8164d1:
  * Fix line shift in -l/--list Parameter
* Wed Jul 14 2021 trenn@suse.de
- Update to version 1.0.8+git5cfc5e4:
  * Adopt README.md (and by that the manpage) to the lastest parmater and name changes
  * Rename validate-autoyastxml.py -> autoyast-xml-validate.py
  * Restructure paramters and add --cobbler-profile param
* Fri Jul  9 2021 trenn@suse.de
- Update to version 1.0.6+git920f29b:
  * Restructure paramters and add --cobbler-profile param
* Fri Jul  9 2021 trenn@suse.de
- Update to version 1.0.5+git86fc5a8:
  * Put shebang on top, above Copyright and Author
  * Add author and copyright
  * Create LICENSE
  * Introduce new --distro and --arch parameters for the new yast2-schemas collection package
  * Make README.md better manpage compatible for go-md2man parsing
  * Add example how to retrieve autoyast schema rng files
  * Make code python prior version 3.6 compatible and better show validation errors
  * Fix logic error
  * Fix typo
  * Always run both checks
* Wed Jul  7 2021 trenn@suse.de
- Update to version v1.0.5+git86fc5a8:
  * Put shebang on top, above Copyright and Author
* Tue Jul  6 2021 trenn@suse.de
- Update to version v1.0.4+git32b3d32:
  * Add author and copyright
  * Create LICENSE
  * Introduce new --distro and --arch parameters for the new yast2-schemas collection package
  * Make README.md better manpage compatible for go-md2man parsing
  * Add example how to retrieve autoyast schema rng files
  * Make code python prior version 3.6 compatible and better show validation errors
  * Fix logic error
  * Fix typo
  * Always run both checks
  * Update readme with new parameters
* Tue Jul  6 2021 trenn@suse.de
- Update to version v1.0.4+git32b3d32:
  * Add author and copyright
  * Create LICENSE
* Tue Jul  6 2021 trenn@suse.de
- Update to version v1.0.2+git4a16e62:
  * Introduce new --distro and --arch parameters for the new yast2-schemas collection package
  * Make README.md better manpage compatible for go-md2man parsing
  * Add example how to retrieve autoyast schema rng files
  * Make code python prior version 3.6 compatible and better show validation errors
  * Fix logic error
  * Fix typo
  * Always run both checks
  * Update readme with new parameters
  * second push of code
  * Add readme
* Tue Jul  6 2021 Thomas Renninger <trenn@suse.de>
- Initial package checking
